PHP ��U
前一頁 |  | 下一頁

# gnupg_encrypt

(no version information, might be only in CVS)

gnupg_encrypt -- Encrypts a given text

## Description

string gnupg_encrypt ( resource identifier, string plaintext )

Encrypts the given plaintext with the keys, which were set with gnupg_addencryptkey before and returns the encrypted text.

## Return Values

On success, this function returns the encrypted text. On failure, this function returns `FALSE`.

## �d��

範例 1. Procedural gnupg_encrypt() example

`<?php $res = gnupg_init(); gnupg_addencryptkey($res,"8660281B6051D071D94B5B230549F9DC851566DC"); $enc = gnupg_encrypt($res, "just a test"); echo $enc; ?>`

範例 2. OO gnupg_encrypt() example

`<?php $gpg = new gnupg(); $gpg -> addencryptkey("8660281B6051D071D94B5B230549F9DC851566DC"); $enc = $gpg -> encrypt("just a test"); echo $enc; ?>`

前一頁 | 內容 | 下一頁
gnupg_decryptverify | 上一層 | gnupg_encryptsign